Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

Yes you can. According to the System Requirements page at link text "LibreOffice 4.3 can still run on OS X 10.6+, but please understand that this support will end when 4.3 is retired on May 27, 2015."


So here you go, you can get v4.3 here for OSX 10.7 link text